/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DomainChartDescription } from "./DomainChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let XYChartDescription = /*@__PURE__*/ (() => {
    class XYChartDescription extends DomainChartDescription {
        get_type() {
            return "XYChart";
        }
        constructor() {
            super();
            this.ur = null;
            this.u9 = null;
            this.sw = 0;
            this.sy = 0;
            this.sx = 0;
            this.sv = 0;
            this.td = 0;
            this.tf = 0;
            this.te = 0;
            this.tc = 0;
            this.uw = null;
            this.ve = null;
            this.up = null;
            this.uq = null;
            this.s7 = 0;
            this.to = 0;
            this.s6 = 0;
            this.tn = 0;
            this.s9 = 0;
            this.tq = 0;
            this.s8 = 0;
            this.tp = 0;
            this.s5 = 0;
            this.tm = 0;
            this.u7 = null;
            this.vp = null;
            this.ux = null;
            this.vf = null;
            this.u8 = null;
            this.vq = null;
            this.uv = null;
            this.vd = null;
            this.u0 = null;
            this.vi = null;
            this.sz = 0;
            this.tg = 0;
            this.s0 = 0;
            this.th = 0;
            this.u2 = null;
            this.vk = null;
            this.u3 = null;
            this.vl = null;
            this.s1 = 0;
            this.ti = 0;
            this.s2 = 0;
            this.tj = 0;
            this.u4 = null;
            this.vm = null;
            this.s3 = 0;
            this.tk = 0;
            this.u5 = null;
            this.vn = null;
            this.u1 = null;
            this.vj = null;
            this.su = 0;
            this.tb = 0;
            this.st = 0;
            this.ta = 0;
            this.s4 = 0;
            this.tl = 0;
            this.sp = false;
            this.sq = false;
            this.u6 = null;
            this.vo = null;
            this.ut = null;
            this.vb = null;
            this.uy = null;
            this.vg = null;
            this.uz = null;
            this.vh = null;
            this.vc = null;
            this.uu = null;
            this.us = null;
            this.sl = null;
            this.va = null;
            this.sm = null;
        }
        get xAxisFormatLabelRef() {
            return this.ur;
        }
        set xAxisFormatLabelRef(a) {
            this.ur = a;
            this.g("XAxisFormatLabelRef");
        }
        get yAxisFormatLabelRef() {
            return this.u9;
        }
        set yAxisFormatLabelRef(a) {
            this.u9 = a;
            this.g("YAxisFormatLabelRef");
        }
        get xAxisLabelLeftMargin() {
            return this.sw;
        }
        set xAxisLabelLeftMargin(a) {
            this.sw = a;
            this.g("XAxisLabelLeftMargin");
        }
        get xAxisLabelTopMargin() {
            return this.sy;
        }
        set xAxisLabelTopMargin(a) {
            this.sy = a;
            this.g("XAxisLabelTopMargin");
        }
        get xAxisLabelRightMargin() {
            return this.sx;
        }
        set xAxisLabelRightMargin(a) {
            this.sx = a;
            this.g("XAxisLabelRightMargin");
        }
        get xAxisLabelBottomMargin() {
            return this.sv;
        }
        set xAxisLabelBottomMargin(a) {
            this.sv = a;
            this.g("XAxisLabelBottomMargin");
        }
        get yAxisLabelLeftMargin() {
            return this.td;
        }
        set yAxisLabelLeftMargin(a) {
            this.td = a;
            this.g("YAxisLabelLeftMargin");
        }
        get yAxisLabelTopMargin() {
            return this.tf;
        }
        set yAxisLabelTopMargin(a) {
            this.tf = a;
            this.g("YAxisLabelTopMargin");
        }
        get yAxisLabelRightMargin() {
            return this.te;
        }
        set yAxisLabelRightMargin(a) {
            this.te = a;
            this.g("YAxisLabelRightMargin");
        }
        get yAxisLabelBottomMargin() {
            return this.tc;
        }
        set yAxisLabelBottomMargin(a) {
            this.tc = a;
            this.g("YAxisLabelBottomMargin");
        }
        get xAxisLabelTextColor() {
            return this.uw;
        }
        set xAxisLabelTextColor(a) {
            this.uw = a;
            this.g("XAxisLabelTextColor");
        }
        get yAxisLabelTextColor() {
            return this.ve;
        }
        set yAxisLabelTextColor(a) {
            this.ve = a;
            this.g("YAxisLabelTextColor");
        }
        get actualXAxisLabelTextColor() {
            return this.up;
        }
        set actualXAxisLabelTextColor(a) {
            this.up = a;
            this.g("ActualXAxisLabelTextColor");
        }
        get actualYAxisLabelTextColor() {
            return this.uq;
        }
        set actualYAxisLabelTextColor(a) {
            this.uq = a;
            this.g("ActualYAxisLabelTextColor");
        }
        get xAxisTitleMargin() {
            return this.s7;
        }
        set xAxisTitleMargin(a) {
            this.s7 = a;
            this.g("XAxisTitleMargin");
        }
        get yAxisTitleMargin() {
            return this.to;
        }
        set yAxisTitleMargin(a) {
            this.to = a;
            this.g("YAxisTitleMargin");
        }
        get xAxisTitleLeftMargin() {
            return this.s6;
        }
        set xAxisTitleLeftMargin(a) {
            this.s6 = a;
            this.g("XAxisTitleLeftMargin");
        }
        get yAxisTitleLeftMargin() {
            return this.tn;
        }
        set yAxisTitleLeftMargin(a) {
            this.tn = a;
            this.g("YAxisTitleLeftMargin");
        }
        get xAxisTitleTopMargin() {
            return this.s9;
        }
        set xAxisTitleTopMargin(a) {
            this.s9 = a;
            this.g("XAxisTitleTopMargin");
        }
        get yAxisTitleTopMargin() {
            return this.tq;
        }
        set yAxisTitleTopMargin(a) {
            this.tq = a;
            this.g("YAxisTitleTopMargin");
        }
        get xAxisTitleRightMargin() {
            return this.s8;
        }
        set xAxisTitleRightMargin(a) {
            this.s8 = a;
            this.g("XAxisTitleRightMargin");
        }
        get yAxisTitleRightMargin() {
            return this.tp;
        }
        set yAxisTitleRightMargin(a) {
            this.tp = a;
            this.g("YAxisTitleRightMargin");
        }
        get xAxisTitleBottomMargin() {
            return this.s5;
        }
        set xAxisTitleBottomMargin(a) {
            this.s5 = a;
            this.g("XAxisTitleBottomMargin");
        }
        get yAxisTitleBottomMargin() {
            return this.tm;
        }
        set yAxisTitleBottomMargin(a) {
            this.tm = a;
            this.g("YAxisTitleBottomMargin");
        }
        get xAxisTitleTextColor() {
            return this.u7;
        }
        set xAxisTitleTextColor(a) {
            this.u7 = a;
            this.g("XAxisTitleTextColor");
        }
        get yAxisTitleTextColor() {
            return this.vp;
        }
        set yAxisTitleTextColor(a) {
            this.vp = a;
            this.g("YAxisTitleTextColor");
        }
        get xAxisLabelTextStyle() {
            return this.ux;
        }
        set xAxisLabelTextStyle(a) {
            this.ux = a;
            this.g("XAxisLabelTextStyle");
        }
        get yAxisLabelTextStyle() {
            return this.vf;
        }
        set yAxisLabelTextStyle(a) {
            this.vf = a;
            this.g("YAxisLabelTextStyle");
        }
        get xAxisTitleTextStyle() {
            return this.u8;
        }
        set xAxisTitleTextStyle(a) {
            this.u8 = a;
            this.g("XAxisTitleTextStyle");
        }
        get yAxisTitleTextStyle() {
            return this.vq;
        }
        set yAxisTitleTextStyle(a) {
            this.vq = a;
            this.g("YAxisTitleTextStyle");
        }
        get xAxisLabelRef() {
            return this.uv;
        }
        set xAxisLabelRef(a) {
            this.uv = a;
            this.g("XAxisLabelRef");
        }
        get yAxisLabelRef() {
            return this.vd;
        }
        set yAxisLabelRef(a) {
            this.vd = a;
            this.g("YAxisLabelRef");
        }
        get xAxisMajorStroke() {
            return this.u0;
        }
        set xAxisMajorStroke(a) {
            this.u0 = a;
            this.g("XAxisMajorStroke");
        }
        get yAxisMajorStroke() {
            return this.vi;
        }
        set yAxisMajorStroke(a) {
            this.vi = a;
            this.g("YAxisMajorStroke");
        }
        get xAxisMajorStrokeThickness() {
            return this.sz;
        }
        set xAxisMajorStrokeThickness(a) {
            this.sz = a;
            this.g("XAxisMajorStrokeThickness");
        }
        get yAxisMajorStrokeThickness() {
            return this.tg;
        }
        set yAxisMajorStrokeThickness(a) {
            this.tg = a;
            this.g("YAxisMajorStrokeThickness");
        }
        get xAxisMinorStrokeThickness() {
            return this.s0;
        }
        set xAxisMinorStrokeThickness(a) {
            this.s0 = a;
            this.g("XAxisMinorStrokeThickness");
        }
        get yAxisMinorStrokeThickness() {
            return this.th;
        }
        set yAxisMinorStrokeThickness(a) {
            this.th = a;
            this.g("YAxisMinorStrokeThickness");
        }
        get xAxisStrip() {
            return this.u2;
        }
        set xAxisStrip(a) {
            this.u2 = a;
            this.g("XAxisStrip");
        }
        get yAxisStrip() {
            return this.vk;
        }
        set yAxisStrip(a) {
            this.vk = a;
            this.g("YAxisStrip");
        }
        get xAxisStroke() {
            return this.u3;
        }
        set xAxisStroke(a) {
            this.u3 = a;
            this.g("XAxisStroke");
        }
        get yAxisStroke() {
            return this.vl;
        }
        set yAxisStroke(a) {
            this.vl = a;
            this.g("YAxisStroke");
        }
        get xAxisStrokeThickness() {
            return this.s1;
        }
        set xAxisStrokeThickness(a) {
            this.s1 = a;
            this.g("XAxisStrokeThickness");
        }
        get yAxisStrokeThickness() {
            return this.ti;
        }
        set yAxisStrokeThickness(a) {
            this.ti = a;
            this.g("YAxisStrokeThickness");
        }
        get xAxisTickLength() {
            return this.s2;
        }
        set xAxisTickLength(a) {
            this.s2 = a;
            this.g("XAxisTickLength");
        }
        get yAxisTickLength() {
            return this.tj;
        }
        set yAxisTickLength(a) {
            this.tj = a;
            this.g("YAxisTickLength");
        }
        get xAxisTickStroke() {
            return this.u4;
        }
        set xAxisTickStroke(a) {
            this.u4 = a;
            this.g("XAxisTickStroke");
        }
        get yAxisTickStroke() {
            return this.vm;
        }
        set yAxisTickStroke(a) {
            this.vm = a;
            this.g("YAxisTickStroke");
        }
        get xAxisTickStrokeThickness() {
            return this.s3;
        }
        set xAxisTickStrokeThickness(a) {
            this.s3 = a;
            this.g("XAxisTickStrokeThickness");
        }
        get yAxisTickStrokeThickness() {
            return this.tk;
        }
        set yAxisTickStrokeThickness(a) {
            this.tk = a;
            this.g("YAxisTickStrokeThickness");
        }
        get xAxisTitle() {
            return this.u5;
        }
        set xAxisTitle(a) {
            this.u5 = a;
            this.g("XAxisTitle");
        }
        get yAxisTitle() {
            return this.vn;
        }
        set yAxisTitle(a) {
            this.vn = a;
            this.g("YAxisTitle");
        }
        get xAxisMinorStroke() {
            return this.u1;
        }
        set xAxisMinorStroke(a) {
            this.u1 = a;
            this.g("XAxisMinorStroke");
        }
        get yAxisMinorStroke() {
            return this.vj;
        }
        set yAxisMinorStroke(a) {
            this.vj = a;
            this.g("YAxisMinorStroke");
        }
        get xAxisLabelAngle() {
            return this.su;
        }
        set xAxisLabelAngle(a) {
            this.su = a;
            this.g("XAxisLabelAngle");
        }
        get yAxisLabelAngle() {
            return this.tb;
        }
        set yAxisLabelAngle(a) {
            this.tb = a;
            this.g("YAxisLabelAngle");
        }
        get xAxisExtent() {
            return this.st;
        }
        set xAxisExtent(a) {
            this.st = a;
            this.g("XAxisExtent");
        }
        get yAxisExtent() {
            return this.ta;
        }
        set yAxisExtent(a) {
            this.ta = a;
            this.g("YAxisExtent");
        }
        get xAxisTitleAngle() {
            return this.s4;
        }
        set xAxisTitleAngle(a) {
            this.s4 = a;
            this.g("XAxisTitleAngle");
        }
        get yAxisTitleAngle() {
            return this.tl;
        }
        set yAxisTitleAngle(a) {
            this.tl = a;
            this.g("YAxisTitleAngle");
        }
        get xAxisInverted() {
            return this.sp;
        }
        set xAxisInverted(a) {
            this.sp = a;
            this.g("XAxisInverted");
        }
        get yAxisInverted() {
            return this.sq;
        }
        set yAxisInverted(a) {
            this.sq = a;
            this.g("YAxisInverted");
        }
        get xAxisTitleAlignment() {
            return this.u6;
        }
        set xAxisTitleAlignment(a) {
            this.u6 = a;
            this.g("XAxisTitleAlignment");
        }
        get yAxisTitleAlignment() {
            return this.vo;
        }
        set yAxisTitleAlignment(a) {
            this.vo = a;
            this.g("YAxisTitleAlignment");
        }
        get xAxisLabelHorizontalAlignment() {
            return this.ut;
        }
        set xAxisLabelHorizontalAlignment(a) {
            this.ut = a;
            this.g("XAxisLabelHorizontalAlignment");
        }
        get yAxisLabelHorizontalAlignment() {
            return this.vb;
        }
        set yAxisLabelHorizontalAlignment(a) {
            this.vb = a;
            this.g("YAxisLabelHorizontalAlignment");
        }
        get xAxisLabelVerticalAlignment() {
            return this.uy;
        }
        set xAxisLabelVerticalAlignment(a) {
            this.uy = a;
            this.g("XAxisLabelVerticalAlignment");
        }
        get yAxisLabelVerticalAlignment() {
            return this.vg;
        }
        set yAxisLabelVerticalAlignment(a) {
            this.vg = a;
            this.g("YAxisLabelVerticalAlignment");
        }
        get xAxisLabelVisibility() {
            return this.uz;
        }
        set xAxisLabelVisibility(a) {
            this.uz = a;
            this.g("XAxisLabelVisibility");
        }
        get yAxisLabelVisibility() {
            return this.vh;
        }
        set yAxisLabelVisibility(a) {
            this.vh = a;
            this.g("YAxisLabelVisibility");
        }
        get yAxisLabelLocation() {
            return this.vc;
        }
        set yAxisLabelLocation(a) {
            this.vc = a;
            this.g("YAxisLabelLocation");
        }
        get xAxisLabelLocation() {
            return this.uu;
        }
        set xAxisLabelLocation(a) {
            this.uu = a;
            this.g("XAxisLabelLocation");
        }
        get xAxisLabelFormat() {
            return this.us;
        }
        set xAxisLabelFormat(a) {
            this.us = a;
            this.g("XAxisLabelFormat");
        }
        get xAxisLabelFormatSpecifiers() {
            return this.sl;
        }
        set xAxisLabelFormatSpecifiers(a) {
            this.sl = a;
            this.g("XAxisLabelFormatSpecifiers");
        }
        get yAxisLabelFormat() {
            return this.va;
        }
        set yAxisLabelFormat(a) {
            this.va = a;
            this.g("YAxisLabelFormat");
        }
        get yAxisLabelFormatSpecifiers() {
            return this.sm;
        }
        set yAxisLabelFormatSpecifiers(a) {
            this.sm = a;
            this.g("YAxisLabelFormatSpecifiers");
        }
    }
    XYChartDescription.$t = /*@__PURE__*/ markType(XYChartDescription, 'XYChartDescription', DomainChartDescription.$);
    return XYChartDescription;
})();
